/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"memory_routine.h"
#include	"xl.h"

void gc_gblisp_env();

XLISP_ENV *
new_env(XLISP_ENV * parent)
{
XLISP_ENV * ret;
	lock_mem(); 
	ret = mmalloc(sizeof(XL_ENV),gc_gblisp_env);
	ret->type = GBET_ENV;
	ret->e.parent = parent;
	ret->e.uenv = 0;
	unlock_mem();
	return ret;
}
